//
// Fragment shader for depth peeling
//

varying	vec4	pos;
varying	vec3	pt;

uniform sampler2D		decalMap;
uniform sampler2DShadow	depthMap;

void main (void)
{
	const vec3	eps = vec3 ( 0, 0, -0.001 );
	
											// get decal color
	vec4	decalColor = texture2D ( decalMap, gl_TexCoord [0].xy );
	vec4	depth      = shadow2D  ( depthMap, pt + eps );

	if ( depth.x > 0.5 )					// reject previously visible fragment
		discard;
		
	gl_FragColor = decalColor;
}
